package com.takensoft.ai_lms.lms.photo.service.Impl;

import com.takensoft.ai_lms.common.idgen.service.IdgenService;
import com.takensoft.ai_lms.lms.photo.dao.PhotoDAO;
import com.takensoft.ai_lms.lms.photo.service.PhotoService;
import com.takensoft.ai_lms.lms.photo.vo.PhotoVO;
import com.takensoft.ai_lms.lms.unit.service.UnitService;
import com.takensoft.ai_lms.lms.unit.vo.UnitVO;
import lombok.RequiredArgsConstructor;
import org.egovframe.rte.fdl.cmmn.EgovAbstractServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

@Service("photoService")
@RequiredArgsConstructor
public class PhotoServiceImpl extends EgovAbstractServiceImpl implements PhotoService {

    private final PhotoDAO photoDAO;
    private final IdgenService photoIdgn;

    @Override
    public List<PhotoVO> photoList() throws Exception {
        return photoDAO.photoList();
    }

    @Override
    public int insertPhoto(PhotoVO photoVO) throws Exception {
        String photoId = photoIdgn.getNextStringId();
        photoVO.setPhotoId(photoId);
        int result = photoDAO.insertPhoto(photoVO);
        return result;
    }

    @Override
    public int updatePhoto(PhotoVO photoVO) throws Exception {
        int result = photoDAO.updatePhoto(photoVO);
        return result;
    }

    @Override
    public int deletePhoto(PhotoVO photoVO) throws Exception {
        int result = photoDAO.deletePhoto(photoVO);
        return result;
    }

    @Override
    public List<PhotoVO> photoDetail(PhotoVO photoVO) throws Exception {
        return photoDAO.photoDetail(photoVO);
    }
}
