package com.takensoft.ai_lms.lms.photoMng.service.Impl;

import com.takensoft.ai_lms.common.idgen.service.IdgenService;
import com.takensoft.ai_lms.lms.photoMng.dao.PhotoMngDAO;
import com.takensoft.ai_lms.lms.photoMng.service.PhotoMngService;
import com.takensoft.ai_lms.lms.photoMng.vo.PhotoMngVO;
import lombok.RequiredArgsConstructor;
import org.egovframe.rte.fdl.cmmn.EgovAbstractServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

@Service("photoMngService")
@RequiredArgsConstructor
public class PhotoMngServiceImpl extends EgovAbstractServiceImpl implements PhotoMngService {

    private final PhotoMngDAO photoMngDAO;
    private final IdgenService photoMngIdgn;

    @Override
    public List<PhotoMngVO> photoMngList() throws Exception {
        return photoMngDAO.photoMngList();
    }

    @Override
    public int insertPhotoMng(PhotoMngVO photoMngVO) throws Exception {
        String photoMngId = photoMngIdgn.getNextStringId();
        photoMngVO.setPhotoMngId(photoMngId);
        int result = photoMngDAO.insertPhotoMng(photoMngVO);
        return result;
    }

    @Override
    public int updatePhotoMng(PhotoMngVO photoMngVO) throws Exception {
        int result = photoMngDAO.updatePhotoMng(photoMngVO);
        return result;
    }

    @Override
    public int deletePhotoMng(PhotoMngVO photoMngVO) throws Exception {
        int result = photoMngDAO.deletePhotoMng(photoMngVO);
        return result;
    }

    @Override
    public List<PhotoMngVO> photoMngDetail(PhotoMngVO photoMngVO) throws Exception {
        return photoMngDAO.photoMngDetail(photoMngVO);
    }
}
