package com.takensoft.ai_lms.lms.survey.web;


import com.takensoft.ai_lms.lms.survey.service.SurveyService;
import com.takensoft.ai_lms.lms.survey.vo.SurveyDetailVO;
import com.takensoft.ai_lms.lms.survey.vo.SurveyVO;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.*;

import java.util.List;
import java.util.Map;

/**
 * @author  : 박세훈
 * since   : 2024.07.29
 *
 * 설문 조사 관련 Controller
 */

@RestController
@RequestMapping(value = "/survey")
@RequiredArgsConstructor
public class SurveyController {

    private final SurveyService surveyService;

    @PostMapping("/insert.json")
    public String insertSurvey(@RequestBody SurveyVO surveyVO) throws Exception {
        try {
            int result = surveyService.insertSurvey(surveyVO);
            if (result > 0) {
                return "success";
            } else {
                return "fail";
            }
        } catch (Exception e ) {
            return "Error";
        }
    }

    @PostMapping("/insertDetail.json")
    public String insertDetailSurvey(@RequestBody SurveyDetailVO surveyDetailVO) throws Exception {
        try {
            int result = surveyService.insertSurveyDetail(surveyDetailVO);
            if ( result > 0) {
                return "success";
            } else {
                return "fail";
            }
        } catch (Exception e) {
            return "Error";
        }
    }


    @GetMapping("/list.json")
    public List<SurveyVO> surveyList(SurveyVO surveyVO) throws Exception {
        return surveyService.surveyList(surveyVO);
    }

    @GetMapping("detailList.json")
    public List<SurveyDetailVO> surveyDetailVOList(SurveyDetailVO surveyDetailVO) throws Exception {
        return surveyService.surveyDetailList(surveyDetailVO);
    }


    @PutMapping("/update.json")
    public String updateSurvey (@RequestBody SurveyVO surveyVO) throws Exception {
        try {
            int result = surveyService.updateSurvey(surveyVO);
            if (result > 0) {
                return "success";
            } else {
                return "fail";
            }
        }catch (Exception e) {
            return "Error";
        }
    }


    @DeleteMapping("/delete.json")
    public String deleteSurvey (@RequestBody Map<String, String> request) throws Exception {
        try {
            String srvyId = request.get("srvyId");
            int result = surveyService.deleteSurvey(srvyId);
            if ( result > 0) {
                return "success";
            } else {
                return "fail";
            }
        } catch (Exception e) {
            return "Error";
        }
    }


}
